## ClutterBehaviourDepth

ClutterBehaviourDepth — A behaviour controlling the Z position

## Functions

ClutterBehaviour * | clutter_behaviour_depth_new ()
void | clutter_behaviour_depth_set_bounds ()
void | clutter_behaviour_depth_get_bounds ()

## Properties

gint | depth-end | Read / Write
gint | depth-start | Read / Write

## Types and Values

struct | ClutterBehaviourDepth
struct | ClutterBehaviourDepthClass

## Object Hierarchy

        GObject
        ╰── ClutterBehaviour
            ╰── ClutterBehaviourDepth

## Implemented Interfaces

ClutterBehaviourDepth implements ClutterScriptable.

## Description

ClutterBehaviourDepth is a simple ClutterBehaviour controlling the depth of a set of actors between a start and end depth.

ClutterBehaviourDepth is available since Clutter 0.4.

## Functions

### clutter_behaviour_depth_new ()

    ClutterBehaviour *
    clutter_behaviour_depth_new (ClutterAlpha *alpha,
                                 gint depth_start,
                                 gint depth_end);

`clutter_behaviour_depth_new` has been deprecated since version 1.6 and should not be used in newly-written code.

Creates a new ClutterBehaviourDepth which can be used to control the ClutterActor:depth property of a set of ClutterActor<!-- -->s.

If `alpha` is not `NULL`, the ClutterBehaviour will take ownership of the ClutterAlpha instance. In the case when `alpha` is `NULL`, it can be set later with `clutter_behaviour_set_alpha()`.

#### Parameters

alpha | a ClutterAlpha instance, or `NULL`. | [allow-none]
depth_start | initial value of the depth |
depth_end | final value of the depth |

#### Returns

the newly created behaviour.

[transfer full]

Since 0.4

### clutter_behaviour_depth_set_bounds ()

    void
    clutter_behaviour_depth_set_bounds (ClutterBehaviourDepth *behaviour,
                                        gint depth_start,
                                        gint depth_end);

`clutter_behaviour_depth_set_bounds` has been deprecated since version 1.6 and should not be used in newly-written code.

Sets the boundaries of the `behaviour` .

#### Parameters

behaviour | a ClutterBehaviourDepth |
depth_start | initial value of the depth |
depth_end | final value of the depth |

Since 0.6

### clutter_behaviour_depth_get_bounds ()

    void
    clutter_behaviour_depth_get_bounds (ClutterBehaviourDepth *behaviour,
                                        gint *depth_start,
                                        gint *depth_end);

`clutter_behaviour_depth_get_bounds` has been deprecated since version 1.6 and should not be used in newly-written code.

Gets the boundaries of the `behaviour`

#### Parameters

behaviour | a ClutterBehaviourDepth |
depth_start | return location for the initial depth value, or `NULL`. | [out]
depth_end | return location for the final depth value, or `NULL`. | [out]

Since 0.6

## Types and Values

### struct ClutterBehaviourDepth

    struct ClutterBehaviourDepth;

`ClutterBehaviourDepth` has been deprecated since version 1.6 and should not be used in newly-written code.

Use `clutter_actor_animate()` with “depth” instead.

The ClutterBehaviourDepth structure contains only private data and should be accessed using the provided API

Since 0.2

### struct ClutterBehaviourDepthClass

    struct ClutterBehaviourDepthClass {
    };

`ClutterBehaviourDepthClass` has been deprecated since version 1.6 and should not be used in newly-written code.

The ClutterBehaviourDepthClass structure contains only private data

Since 0.2

## Property Details

### The `“depth-end”` property

      “depth-end”                gint

End depth level to apply to the actors.

`ClutterBehaviourDepth:depth-end` has been deprecated since version 1.6 and should not be used in newly-written code.

Flags: Read / Write

Default value: 0

Since 0.4

### The `“depth-start”` property

      “depth-start”              gint

Start depth level to apply to the actors.

`ClutterBehaviourDepth:depth-start` has been deprecated since version 1.6 and should not be used in newly-written code.

Flags: Read / Write

Default value: 0

Since 0.4